import os
from os.path import exists
from pathlib import Path
from fragments import shared, garage

warp_bin = Path(os.path.dirname(__file__)) / "../../benchmarks/warp/warp"

bench_flavor = {
    "warp-fast": "mixed --obj.size 5M --objects 200 --duration=1m",
    "warp-default": "mixed"
}
bench = warp_bench_flavor["warp-fast"]

def on_garage(params="mixed"):
    shared.log(f"launching warp {warp_bin}")
    shared.exec(f"{warp_bin} {params} --host={os.environ['IP']}:3900  --access-key={garage.key.access_key_id} --secret-key={garage.key.secret_access_key}")
    shared.log(f"execution done")
